## ohcount 4.0.0

=== test/detect_files/CMakeLists.txt ===
# A cmake build script.
add_subdirectory("blah")

=== test/detect_files/Makefile ===
# This is a makefile.

giant_space_monkey : giant_space_monkey.c
	$(CC) $(CFLAGS) -o $@ $?

=== test/expected_dir/Makefile ===
make	comment	# This is a makefile.
make	blank	
make	code	giant_space_monkey : giant_space_monkey.c
make	code		$(CC) $(CFLAGS) -o $@ $?
make	blank

## ohcount 3.0.0

=== debian/changelog ===
ohcount (3.0.0-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build system being broken by removal of deprecated "Config"
    object in Ruby 2.2. (Closes: #805674)

 -- Christian Hofstaedtler <zeha@debian.org>  Tue, 01 Mar 2016 22:02:31 +0100

ohcount (3.0.0-8) unstable; urgency=low

  * Remove the explicit dependency on ruby 1.8
    Thanks to Jonas Genannt (Closes: #733724)
  * Switch from cdbs to dh. Thanks to Jonas Genannt
  * Standards-Version updated to 3.9.5

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 16 Jan 2014 16:26:45 +0100

ohcount (3.0.0-7) unstable; urgency=low

  * Standards-Version updated to 3.9.4
  * libdifflcs-ruby dep renamed to ruby-diff-lcs (Closes: #707792)
  * Remove Torsten from the uploaders (I have been DD for a while :)
  * ACK NMU (thanks btw)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 11 May 2013 19:17:57 +0200

ohcount (3.0.0-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add dependency on file (Closes: #677494).

 -- Luk Claes <luk@debian.org>  Wed, 04 Jul 2012 17:18:12 +0000

ohcount (3.0.0-6) unstable; urgency=low

  * Update some issues with the documentation (Closes: #650685)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 10 Dec 2011 19:38:15 +0100

ohcount (3.0.0-5) unstable; urgency=low

  * Oups. Plug back the patches
  * Manpage of ohcount added

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 30 Sep 2011 21:37:34 +0200

ohcount (3.0.0-4) unstable; urgency=low

  * Support of the txx extension (considered as C++). Thanks to Sébastien Dinot 
    for the patch.
  * Switch to dpkg-source 3.0 (quilt) format
  * Standards-Version updated to version 3.9.2
  * Fix debian-rules-uses-deprecated-makefile lintian warning

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 26 Sep 2011 13:42:49 +0200

ohcount (3.0.0-3) unstable; urgency=low

  * Standards-Version updated to version 3.9.1
  * Fix a seg fault when checking lintian source code. Thanks to 
    Raphael Geissert for investigating for me. (Closes: #608837)
    (LP: #605631)
  * Fix lintian warning copyright-refers-to-deprecated-bsd-license-file

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 15 Jan 2011 09:34:05 +0100

ohcount (3.0.0-2) unstable; urgency=low

  * Missing dependency (Closes: #558491)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 29 Nov 2009 18:19:46 +0100

ohcount (3.0.0-1) unstable; urgency=low

  * New upstream release
  * New package ohcount-doc added
  * Homepage updated
  * Vcs-* added
  * Many changes on the debian/rules due to a refactoring from upstream which
    has been done (patches are now obsolete or upstream)
  * Upstream has redeveloped ohcount with C (instead of ruby). (Closes: #542892)
  * Update of the watch file
  * Repack script updated (upstream has a .so)
  * Standards-Version updated to version 3.8.3
  * Change of my email address since I am now DD 
  * Standards-Version updated to 3.8.3
  * DM-Upload-Allowed removed
	
 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 27 Nov 2009 11:22:21 +0100

ohcount (2.0.1-1) unstable; urgency=low

  * Initial release (Closes: #523006) 

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Tue, 07 Apr 2009 20:18:38 +0200

=== debian/control ===
Source: ohcount
Section: utils
Priority: optional
Maintainer: Sylvestre Ledru <sylvestre@debian.org>
Build-Depends: debhelper (>= 7), libpcre3-dev, gem2deb, rake,
 ragel (>= 6.3), ruby-diff-lcs, doxygen, gperf, file
Standards-Version: 3.9.5
Homepage: http://sourceforge.net/projects/ohcount/
Vcs-Svn: https://bollin.googlecode.com/svn/ohcount/trunk
Vcs-Browser: http://bollin.googlecode.com/svn/ohcount/trunk
XS-Ruby-Versions: all

Package: ohcount
XB-Ruby-Versions: ${ruby:Versions}
Architecture: any
Depends: ruby | ruby-interpreter, ${shlibs:Depends}, ${misc:Depends},
 ruby-diff-lcs, file
Suggests: ohcount-doc
Description: Source code line counter
 Ohcount supports over 70 popular programming languages.
 Ohcount does more than just count lines of code. It can also detect
 popular open source licenses such as GPL within a large directory of source
 code. It can also detect code that targets a particular programming API,
 such as Win32 or KDE.
 Ohcount is the line counter which powers http://www.ohloh.net/
 .

Package: ohcount-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Source code line counter - Documentation
 Ohcount supports over 70 popular programming languages.
 Ohcount does more than just count lines of code. It can also detect
 popular open source licenses such as GPL within a large directory of source
 code. It can also detect code that targets a particular programming API,
 such as Win32 or KDE.
 Ohcount is the line counter which powers http://www.ohloh.net/
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=ruby --with ruby

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=ruby
	./build clean
	rm -rf doc_build

override_dh_install:
	./build all
	dh_install --buildsystem=ruby --with ruby
	install -d debian/ohcount/usr/lib/ruby/vendor_ruby/ohcount
	install -d debian/ohcount/usr/bin
	install -d debian/ohcount-doc/usr/share/doc/ohcount-doc
	cp bin/ohcount debian/ohcount/usr/bin/
	cp -R ruby/gestalt ruby/gestalt.rb ruby/ohcount.rb debian/ohcount/usr/lib/ruby/vendor_ruby/ohcount/
	# build doxygen
	mkdir doc_build
	cp -aR doc/* doc_build/
	(cd doc_build && doxygen Doxyfile)
	cp -aR doc_build/html/* debian/ohcount-doc/usr/share/doc/ohcount-doc
	rm -rf debian/ohcount/ruby

get-orig-source:
	uscan --force-download

## ohcount 3.1.0

=== debian/changelog ===
ohcount (3.1.0-2) unstable; urgency=medium

  * Fix a FTBFS (arm64 due to buffer overflow)
    Thanks to Steve Langasek for the patch
    (Closes: #895111)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 07 Apr 2018 23:40:10 +0200

ohcount (3.1.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version updated to 4.1.3
  * Update of Vcs-*
  * Update of the homepage
  * Add a watch file

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 14 Jan 2018 19:03:49 +0100

ohcount (3.0.0-8.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove ruby files from ohcount-doc, which only get installed
    when building for Arch: all. (Closes: #818239)

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 22 Dec 2016 06:54:28 +0000

ohcount (3.0.0-8.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-ful, binary-less upload to get rid of /ruby directory.
    Probably somehow my fault? (Closes: #818239)

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 17 Jul 2016 19:58:32 +0000

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends: debhelper (>= 7), libpcre3-dev, gem2deb, rake,
- ragel (>= 6.3), ruby-diff-lcs, doxygen, gperf, file
-Standards-Version: 3.9.5
-Homepage: http://sourceforge.net/projects/ohcount/
-Vcs-Svn: https://bollin.googlecode.com/svn/ohcount/trunk
-Vcs-Browser: http://bollin.googlecode.com/svn/ohcount/trunk
+ ragel (>= 6.3), ruby-diff-lcs, doxygen, gperf, file, libmagic-dev,
+ swig
+Standards-Version: 4.1.3
+Homepage: https://github.com/blackducksoftware/ohcount
+Vcs-Git: https://salsa.debian.org/debian/ohcount.git
+Vcs-Browser: https://salsa.debian.org/debian/ohcount
 XS-Ruby-Versions: all
 
 Package: ohcount
@@ -22,7 +23,7 @@
  popular open source licenses such as GPL within a large directory of source
  code. It can also detect code that targets a particular programming API,
  such as Win32 or KDE.
- Ohcount is the line counter which powers http://www.ohloh.net/
+ Ohcount is the line counter which powers http://www.openhub.net/
  .
 
 Package: ohcount-doc
@@ -35,6 +36,6 @@
  popular open source licenses such as GPL within a large directory of source
  code. It can also detect code that targets a particular programming API,
  such as Win32 or KDE.
- Ohcount is the line counter which powers http://www.ohloh.net/
+ Ohcount is the line counter which powers http://www.openhub.net/
  .
  This package contains the documentation.

## ohcount 3.1.1

=== debian/changelog ===
ohcount (3.1.1-2) unstable; urgency=medium

  * Fix the FTBFS (README.md instead of README) (Closes: #903184)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 17 Jul 2018 14:29:12 +0200

ohcount (3.1.1-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 23 Jun 2018 15:14:58 +0200

## ohcount 4.0.0

=== debian/changelog ===
ohcount (4.0.0-1) unstable; urgency=medium

  * Upload to unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 07 Jul 2019 10:03:32 +0200

ohcount (4.0.0-1~exp1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Sylvestre Ledru ]
  * New upstream release
  * Remove debian/patches/conflicting-type.diff (merged upstream)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 17 Mar 2019 10:23:03 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Sylvestre Ledru <sylvestre@debian.org>
-Build-Depends: debhelper (>= 7), libpcre3-dev, gem2deb, rake,
+Build-Depends: debhelper (>= 9), libpcre3-dev, gem2deb, rake,
  ragel (>= 6.3), ruby-diff-lcs, doxygen, gperf, file, libmagic-dev,
  swig
 Standards-Version: 4.1.3

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 override_dh_install:
 	./build all
-	dh_install --buildsystem=ruby --with ruby
+	dh_install
 	install -d debian/ohcount/usr/lib/ruby/vendor_ruby/ohcount
 	install -d debian/ohcount/usr/bin
 	install -d debian/ohcount-doc/usr/share/doc/ohcount-doc
@@ -21,7 +21,7 @@
 	cp -aR doc/* doc_build/
 	(cd doc_build && doxygen Doxyfile)
 	cp -aR doc_build/html/* debian/ohcount-doc/usr/share/doc/ohcount-doc
-	rm -rf debian/ohcount/ruby
+	rm -rf debian/ohcount/ruby debian/ohcount-doc/ruby
 
 get-orig-source:
 	uscan --force-download

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ohcount-$1.tar.gz%" \
    https://github.com/blackducksoftware/ohcount/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
